Subject: Re: [PATCH v2 3/5] pkt-line: extract and use `set_packet_header` function

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Jul 2016 09:31:36 -0700

Lars Schneider <[email-masked]> writes:

>> On 27 Jul 2016, at 02:20, Junio C Hamano <[email-masked]> wrote:
>> 
>> [email-masked] writes:
>> 
>>> From: Lars Schneider <[email-masked]>
>>> 
>>> `set_packet_header` converts an integer to a 4 byte hex string. Make
>>> this function publicly available so that other parts of Git can easily
>>> generate a pkt-line.
>> 
>> I think that having to do this is a strong sign that the design of
>> this series is going in a wrong direction.
>
> Thanks for the feedback. Do you think using "pkt-line" is a move into
> the wrong direction in general or do you think only my usage of 
> "pkt-line" is not ideal?

I only meant this:

    If you try to produce packet-line data without using helper
    functions in pkt-line.[ch] that are designed to do so
    (presumably because the current set of helpers lack some
    capability you want to use), I am not enthused.

And I did not see a utility of a public set-packet-header helper
unless you are hand-rolling a function that produces packet-line
data outside pkt-line.[ch], hence the comment we are discussing here
was made before actually seeing how this new helper is used.

As to the use of packet-line as the data format, I do not have a
strong opinion either way.